• Post Reply
  • Bookmark Topic Watch Topic
  • New Topic

Client using different Axis version, ok?

 
Donna Reschke
Greenhorn
Posts: 17
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
If the client using our service is using Axis 1.1 and our service is running on Axis 1.0, should it still work? I generated a wsdl document for them and they are getting errors trying to create their client with it. Any info would be helpful.
Thanks, Donna
 
Lasse Koskela
author
Sheriff
Posts: 11962
5
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
What kind of errors you get?
 
Donna Reschke
Greenhorn
Posts: 17
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
<message name="doSubmissionRequest">
<part name="arg0" type="ns1 rg.w3c.dom.Document"/>
</message>
<message name="doSubmissionResponse">
<part name="doSubmissionResult" type="ns1 rg.w3c.dom.Document"/>
</message>

The error messages are -

1. The part 'arg0' has an invalid value 'org.w3c.dom.Document' defined for its type. Type declarations must refer to valid values defined in a schema.

2. The part 'doSubmissionResult' has an invalid value 'org.w3c.dom.Document' defined for its type. Type declarations must refer to valid values defined in a schema.

thanks for any help...
Donna
 
  • Post Reply
  • Bookmark Topic Watch Topic
  • New Topic